Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network6.128.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
6.128.0.0
Broadcast address
6.135.255.255
First usable
6.128.0.1
Last usable
6.135.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 06800000 · Integer 109051904 to 109576191
Reverse DNS zones
128.6.in-addr.arpa
129.6.in-addr.arpa
130.6.in-addr.arpa
131.6.in-addr.arpa
132.6.in-addr.arpa
133.6.in-addr.arpa
134.6.in-addr.arpa
135.6.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000110.10000000.00000000.000000006.128.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00000110.10000000.00000000.000000006.128.0.0
Broadcast00000110.10000111.11111111.111111116.135.255.255
Split into smaller subnets/22

6.128.0.0/13 makes 512 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
16.128.0.0/226.128.0.1 to 6.128.3.2546.128.3.2551,022
26.128.4.0/226.128.4.1 to 6.128.7.2546.128.7.2551,022
36.128.8.0/226.128.8.1 to 6.128.11.2546.128.11.2551,022
46.128.12.0/226.128.12.1 to 6.128.15.2546.128.15.2551,022
56.128.16.0/226.128.16.1 to 6.128.19.2546.128.19.2551,022
66.128.20.0/226.128.20.1 to 6.128.23.2546.128.23.2551,022
76.128.24.0/226.128.24.1 to 6.128.27.2546.128.27.2551,022
86.128.28.0/226.128.28.1 to 6.128.31.2546.128.31.2551,022
96.128.32.0/226.128.32.1 to 6.128.35.2546.128.35.2551,022
106.128.36.0/226.128.36.1 to 6.128.39.2546.128.39.2551,022
116.128.40.0/226.128.40.1 to 6.128.43.2546.128.43.2551,022
126.128.44.0/226.128.44.1 to 6.128.47.2546.128.47.2551,022
136.128.48.0/226.128.48.1 to 6.128.51.2546.128.51.2551,022
146.128.52.0/226.128.52.1 to 6.128.55.2546.128.55.2551,022
156.128.56.0/226.128.56.1 to 6.128.59.2546.128.59.2551,022
166.128.60.0/226.128.60.1 to 6.128.63.2546.128.63.2551,022
176.128.64.0/226.128.64.1 to 6.128.67.2546.128.67.2551,022
186.128.68.0/226.128.68.1 to 6.128.71.2546.128.71.2551,022
196.128.72.0/226.128.72.1 to 6.128.75.2546.128.75.2551,022
206.128.76.0/226.128.76.1 to 6.128.79.2546.128.79.2551,022
216.128.80.0/226.128.80.1 to 6.128.83.2546.128.83.2551,022
226.128.84.0/226.128.84.1 to 6.128.87.2546.128.87.2551,022
236.128.88.0/226.128.88.1 to 6.128.91.2546.128.91.2551,022
246.128.92.0/226.128.92.1 to 6.128.95.2546.128.95.2551,022
256.128.96.0/226.128.96.1 to 6.128.99.2546.128.99.2551,022
266.128.100.0/226.128.100.1 to 6.128.103.2546.128.103.2551,022
276.128.104.0/226.128.104.1 to 6.128.107.2546.128.107.2551,022
286.128.108.0/226.128.108.1 to 6.128.111.2546.128.111.2551,022
296.128.112.0/226.128.112.1 to 6.128.115.2546.128.115.2551,022
306.128.116.0/226.128.116.1 to 6.128.119.2546.128.119.2551,022
316.128.120.0/226.128.120.1 to 6.128.123.2546.128.123.2551,022
326.128.124.0/226.128.124.1 to 6.128.127.2546.128.127.2551,022
336.128.128.0/226.128.128.1 to 6.128.131.2546.128.131.2551,022
346.128.132.0/226.128.132.1 to 6.128.135.2546.128.135.2551,022
356.128.136.0/226.128.136.1 to 6.128.139.2546.128.139.2551,022
366.128.140.0/226.128.140.1 to 6.128.143.2546.128.143.2551,022
376.128.144.0/226.128.144.1 to 6.128.147.2546.128.147.2551,022
386.128.148.0/226.128.148.1 to 6.128.151.2546.128.151.2551,022
396.128.152.0/226.128.152.1 to 6.128.155.2546.128.155.2551,022
406.128.156.0/226.128.156.1 to 6.128.159.2546.128.159.2551,022
416.128.160.0/226.128.160.1 to 6.128.163.2546.128.163.2551,022
426.128.164.0/226.128.164.1 to 6.128.167.2546.128.167.2551,022
436.128.168.0/226.128.168.1 to 6.128.171.2546.128.171.2551,022
446.128.172.0/226.128.172.1 to 6.128.175.2546.128.175.2551,022
456.128.176.0/226.128.176.1 to 6.128.179.2546.128.179.2551,022
466.128.180.0/226.128.180.1 to 6.128.183.2546.128.183.2551,022
476.128.184.0/226.128.184.1 to 6.128.187.2546.128.187.2551,022
486.128.188.0/226.128.188.1 to 6.128.191.2546.128.191.2551,022
496.128.192.0/226.128.192.1 to 6.128.195.2546.128.195.2551,022
506.128.196.0/226.128.196.1 to 6.128.199.2546.128.199.2551,022
516.128.200.0/226.128.200.1 to 6.128.203.2546.128.203.2551,022
526.128.204.0/226.128.204.1 to 6.128.207.2546.128.207.2551,022
536.128.208.0/226.128.208.1 to 6.128.211.2546.128.211.2551,022
546.128.212.0/226.128.212.1 to 6.128.215.2546.128.215.2551,022
556.128.216.0/226.128.216.1 to 6.128.219.2546.128.219.2551,022
566.128.220.0/226.128.220.1 to 6.128.223.2546.128.223.2551,022
576.128.224.0/226.128.224.1 to 6.128.227.2546.128.227.2551,022
586.128.228.0/226.128.228.1 to 6.128.231.2546.128.231.2551,022
596.128.232.0/226.128.232.1 to 6.128.235.2546.128.235.2551,022
606.128.236.0/226.128.236.1 to 6.128.239.2546.128.239.2551,022
616.128.240.0/226.128.240.1 to 6.128.243.2546.128.243.2551,022
626.128.244.0/226.128.244.1 to 6.128.247.2546.128.247.2551,022
636.128.248.0/226.128.248.1 to 6.128.251.2546.128.251.2551,022
646.128.252.0/226.128.252.1 to 6.128.255.2546.128.255.2551,022
656.129.0.0/226.129.0.1 to 6.129.3.2546.129.3.2551,022
666.129.4.0/226.129.4.1 to 6.129.7.2546.129.7.2551,022
676.129.8.0/226.129.8.1 to 6.129.11.2546.129.11.2551,022
686.129.12.0/226.129.12.1 to 6.129.15.2546.129.15.2551,022
696.129.16.0/226.129.16.1 to 6.129.19.2546.129.19.2551,022
706.129.20.0/226.129.20.1 to 6.129.23.2546.129.23.2551,022
716.129.24.0/226.129.24.1 to 6.129.27.2546.129.27.2551,022
726.129.28.0/226.129.28.1 to 6.129.31.2546.129.31.2551,022
736.129.32.0/226.129.32.1 to 6.129.35.2546.129.35.2551,022
746.129.36.0/226.129.36.1 to 6.129.39.2546.129.39.2551,022
756.129.40.0/226.129.40.1 to 6.129.43.2546.129.43.2551,022
766.129.44.0/226.129.44.1 to 6.129.47.2546.129.47.2551,022
776.129.48.0/226.129.48.1 to 6.129.51.2546.129.51.2551,022
786.129.52.0/226.129.52.1 to 6.129.55.2546.129.55.2551,022
796.129.56.0/226.129.56.1 to 6.129.59.2546.129.59.2551,022
806.129.60.0/226.129.60.1 to 6.129.63.2546.129.63.2551,022
816.129.64.0/226.129.64.1 to 6.129.67.2546.129.67.2551,022
826.129.68.0/226.129.68.1 to 6.129.71.2546.129.71.2551,022
836.129.72.0/226.129.72.1 to 6.129.75.2546.129.75.2551,022
846.129.76.0/226.129.76.1 to 6.129.79.2546.129.79.2551,022
856.129.80.0/226.129.80.1 to 6.129.83.2546.129.83.2551,022
866.129.84.0/226.129.84.1 to 6.129.87.2546.129.87.2551,022
876.129.88.0/226.129.88.1 to 6.129.91.2546.129.91.2551,022
886.129.92.0/226.129.92.1 to 6.129.95.2546.129.95.2551,022
896.129.96.0/226.129.96.1 to 6.129.99.2546.129.99.2551,022
906.129.100.0/226.129.100.1 to 6.129.103.2546.129.103.2551,022
916.129.104.0/226.129.104.1 to 6.129.107.2546.129.107.2551,022
926.129.108.0/226.129.108.1 to 6.129.111.2546.129.111.2551,022
936.129.112.0/226.129.112.1 to 6.129.115.2546.129.115.2551,022
946.129.116.0/226.129.116.1 to 6.129.119.2546.129.119.2551,022
956.129.120.0/226.129.120.1 to 6.129.123.2546.129.123.2551,022
966.129.124.0/226.129.124.1 to 6.129.127.2546.129.127.2551,022
976.129.128.0/226.129.128.1 to 6.129.131.2546.129.131.2551,022
986.129.132.0/226.129.132.1 to 6.129.135.2546.129.135.2551,022
996.129.136.0/226.129.136.1 to 6.129.139.2546.129.139.2551,022
1006.129.140.0/226.129.140.1 to 6.129.143.2546.129.143.2551,022
1016.129.144.0/226.129.144.1 to 6.129.147.2546.129.147.2551,022
1026.129.148.0/226.129.148.1 to 6.129.151.2546.129.151.2551,022
1036.129.152.0/226.129.152.1 to 6.129.155.2546.129.155.2551,022
1046.129.156.0/226.129.156.1 to 6.129.159.2546.129.159.2551,022
1056.129.160.0/226.129.160.1 to 6.129.163.2546.129.163.2551,022
1066.129.164.0/226.129.164.1 to 6.129.167.2546.129.167.2551,022
1076.129.168.0/226.129.168.1 to 6.129.171.2546.129.171.2551,022
1086.129.172.0/226.129.172.1 to 6.129.175.2546.129.175.2551,022
1096.129.176.0/226.129.176.1 to 6.129.179.2546.129.179.2551,022
1106.129.180.0/226.129.180.1 to 6.129.183.2546.129.183.2551,022
1116.129.184.0/226.129.184.1 to 6.129.187.2546.129.187.2551,022
1126.129.188.0/226.129.188.1 to 6.129.191.2546.129.191.2551,022
1136.129.192.0/226.129.192.1 to 6.129.195.2546.129.195.2551,022
1146.129.196.0/226.129.196.1 to 6.129.199.2546.129.199.2551,022
1156.129.200.0/226.129.200.1 to 6.129.203.2546.129.203.2551,022
1166.129.204.0/226.129.204.1 to 6.129.207.2546.129.207.2551,022
1176.129.208.0/226.129.208.1 to 6.129.211.2546.129.211.2551,022
1186.129.212.0/226.129.212.1 to 6.129.215.2546.129.215.2551,022
1196.129.216.0/226.129.216.1 to 6.129.219.2546.129.219.2551,022
1206.129.220.0/226.129.220.1 to 6.129.223.2546.129.223.2551,022
1216.129.224.0/226.129.224.1 to 6.129.227.2546.129.227.2551,022
1226.129.228.0/226.129.228.1 to 6.129.231.2546.129.231.2551,022
1236.129.232.0/226.129.232.1 to 6.129.235.2546.129.235.2551,022
1246.129.236.0/226.129.236.1 to 6.129.239.2546.129.239.2551,022
1256.129.240.0/226.129.240.1 to 6.129.243.2546.129.243.2551,022
1266.129.244.0/226.129.244.1 to 6.129.247.2546.129.247.2551,022
1276.129.248.0/226.129.248.1 to 6.129.251.2546.129.251.2551,022
1286.129.252.0/226.129.252.1 to 6.129.255.2546.129.255.2551,022
1296.130.0.0/226.130.0.1 to 6.130.3.2546.130.3.2551,022
1306.130.4.0/226.130.4.1 to 6.130.7.2546.130.7.2551,022
1316.130.8.0/226.130.8.1 to 6.130.11.2546.130.11.2551,022
1326.130.12.0/226.130.12.1 to 6.130.15.2546.130.15.2551,022
1336.130.16.0/226.130.16.1 to 6.130.19.2546.130.19.2551,022
1346.130.20.0/226.130.20.1 to 6.130.23.2546.130.23.2551,022
1356.130.24.0/226.130.24.1 to 6.130.27.2546.130.27.2551,022
1366.130.28.0/226.130.28.1 to 6.130.31.2546.130.31.2551,022
1376.130.32.0/226.130.32.1 to 6.130.35.2546.130.35.2551,022
1386.130.36.0/226.130.36.1 to 6.130.39.2546.130.39.2551,022
1396.130.40.0/226.130.40.1 to 6.130.43.2546.130.43.2551,022
1406.130.44.0/226.130.44.1 to 6.130.47.2546.130.47.2551,022
1416.130.48.0/226.130.48.1 to 6.130.51.2546.130.51.2551,022
1426.130.52.0/226.130.52.1 to 6.130.55.2546.130.55.2551,022
1436.130.56.0/226.130.56.1 to 6.130.59.2546.130.59.2551,022
1446.130.60.0/226.130.60.1 to 6.130.63.2546.130.63.2551,022
1456.130.64.0/226.130.64.1 to 6.130.67.2546.130.67.2551,022
1466.130.68.0/226.130.68.1 to 6.130.71.2546.130.71.2551,022
1476.130.72.0/226.130.72.1 to 6.130.75.2546.130.75.2551,022
1486.130.76.0/226.130.76.1 to 6.130.79.2546.130.79.2551,022
1496.130.80.0/226.130.80.1 to 6.130.83.2546.130.83.2551,022
1506.130.84.0/226.130.84.1 to 6.130.87.2546.130.87.2551,022
1516.130.88.0/226.130.88.1 to 6.130.91.2546.130.91.2551,022
1526.130.92.0/226.130.92.1 to 6.130.95.2546.130.95.2551,022
1536.130.96.0/226.130.96.1 to 6.130.99.2546.130.99.2551,022
1546.130.100.0/226.130.100.1 to 6.130.103.2546.130.103.2551,022
1556.130.104.0/226.130.104.1 to 6.130.107.2546.130.107.2551,022
1566.130.108.0/226.130.108.1 to 6.130.111.2546.130.111.2551,022
1576.130.112.0/226.130.112.1 to 6.130.115.2546.130.115.2551,022
1586.130.116.0/226.130.116.1 to 6.130.119.2546.130.119.2551,022
1596.130.120.0/226.130.120.1 to 6.130.123.2546.130.123.2551,022
1606.130.124.0/226.130.124.1 to 6.130.127.2546.130.127.2551,022
1616.130.128.0/226.130.128.1 to 6.130.131.2546.130.131.2551,022
1626.130.132.0/226.130.132.1 to 6.130.135.2546.130.135.2551,022
1636.130.136.0/226.130.136.1 to 6.130.139.2546.130.139.2551,022
1646.130.140.0/226.130.140.1 to 6.130.143.2546.130.143.2551,022
1656.130.144.0/226.130.144.1 to 6.130.147.2546.130.147.2551,022
1666.130.148.0/226.130.148.1 to 6.130.151.2546.130.151.2551,022
1676.130.152.0/226.130.152.1 to 6.130.155.2546.130.155.2551,022
1686.130.156.0/226.130.156.1 to 6.130.159.2546.130.159.2551,022
1696.130.160.0/226.130.160.1 to 6.130.163.2546.130.163.2551,022
1706.130.164.0/226.130.164.1 to 6.130.167.2546.130.167.2551,022
1716.130.168.0/226.130.168.1 to 6.130.171.2546.130.171.2551,022
1726.130.172.0/226.130.172.1 to 6.130.175.2546.130.175.2551,022
1736.130.176.0/226.130.176.1 to 6.130.179.2546.130.179.2551,022
1746.130.180.0/226.130.180.1 to 6.130.183.2546.130.183.2551,022
1756.130.184.0/226.130.184.1 to 6.130.187.2546.130.187.2551,022
1766.130.188.0/226.130.188.1 to 6.130.191.2546.130.191.2551,022
1776.130.192.0/226.130.192.1 to 6.130.195.2546.130.195.2551,022
1786.130.196.0/226.130.196.1 to 6.130.199.2546.130.199.2551,022
1796.130.200.0/226.130.200.1 to 6.130.203.2546.130.203.2551,022
1806.130.204.0/226.130.204.1 to 6.130.207.2546.130.207.2551,022
1816.130.208.0/226.130.208.1 to 6.130.211.2546.130.211.2551,022
1826.130.212.0/226.130.212.1 to 6.130.215.2546.130.215.2551,022
1836.130.216.0/226.130.216.1 to 6.130.219.2546.130.219.2551,022
1846.130.220.0/226.130.220.1 to 6.130.223.2546.130.223.2551,022
1856.130.224.0/226.130.224.1 to 6.130.227.2546.130.227.2551,022
1866.130.228.0/226.130.228.1 to 6.130.231.2546.130.231.2551,022
1876.130.232.0/226.130.232.1 to 6.130.235.2546.130.235.2551,022
1886.130.236.0/226.130.236.1 to 6.130.239.2546.130.239.2551,022
1896.130.240.0/226.130.240.1 to 6.130.243.2546.130.243.2551,022
1906.130.244.0/226.130.244.1 to 6.130.247.2546.130.247.2551,022
1916.130.248.0/226.130.248.1 to 6.130.251.2546.130.251.2551,022
1926.130.252.0/226.130.252.1 to 6.130.255.2546.130.255.2551,022
1936.131.0.0/226.131.0.1 to 6.131.3.2546.131.3.2551,022
1946.131.4.0/226.131.4.1 to 6.131.7.2546.131.7.2551,022
1956.131.8.0/226.131.8.1 to 6.131.11.2546.131.11.2551,022
1966.131.12.0/226.131.12.1 to 6.131.15.2546.131.15.2551,022
1976.131.16.0/226.131.16.1 to 6.131.19.2546.131.19.2551,022
1986.131.20.0/226.131.20.1 to 6.131.23.2546.131.23.2551,022
1996.131.24.0/226.131.24.1 to 6.131.27.2546.131.27.2551,022
2006.131.28.0/226.131.28.1 to 6.131.31.2546.131.31.2551,022
2016.131.32.0/226.131.32.1 to 6.131.35.2546.131.35.2551,022
2026.131.36.0/226.131.36.1 to 6.131.39.2546.131.39.2551,022
2036.131.40.0/226.131.40.1 to 6.131.43.2546.131.43.2551,022
2046.131.44.0/226.131.44.1 to 6.131.47.2546.131.47.2551,022
2056.131.48.0/226.131.48.1 to 6.131.51.2546.131.51.2551,022
2066.131.52.0/226.131.52.1 to 6.131.55.2546.131.55.2551,022
2076.131.56.0/226.131.56.1 to 6.131.59.2546.131.59.2551,022
2086.131.60.0/226.131.60.1 to 6.131.63.2546.131.63.2551,022
2096.131.64.0/226.131.64.1 to 6.131.67.2546.131.67.2551,022
2106.131.68.0/226.131.68.1 to 6.131.71.2546.131.71.2551,022
2116.131.72.0/226.131.72.1 to 6.131.75.2546.131.75.2551,022
2126.131.76.0/226.131.76.1 to 6.131.79.2546.131.79.2551,022
2136.131.80.0/226.131.80.1 to 6.131.83.2546.131.83.2551,022
2146.131.84.0/226.131.84.1 to 6.131.87.2546.131.87.2551,022
2156.131.88.0/226.131.88.1 to 6.131.91.2546.131.91.2551,022
2166.131.92.0/226.131.92.1 to 6.131.95.2546.131.95.2551,022
2176.131.96.0/226.131.96.1 to 6.131.99.2546.131.99.2551,022
2186.131.100.0/226.131.100.1 to 6.131.103.2546.131.103.2551,022
2196.131.104.0/226.131.104.1 to 6.131.107.2546.131.107.2551,022
2206.131.108.0/226.131.108.1 to 6.131.111.2546.131.111.2551,022
2216.131.112.0/226.131.112.1 to 6.131.115.2546.131.115.2551,022
2226.131.116.0/226.131.116.1 to 6.131.119.2546.131.119.2551,022
2236.131.120.0/226.131.120.1 to 6.131.123.2546.131.123.2551,022
2246.131.124.0/226.131.124.1 to 6.131.127.2546.131.127.2551,022
2256.131.128.0/226.131.128.1 to 6.131.131.2546.131.131.2551,022
2266.131.132.0/226.131.132.1 to 6.131.135.2546.131.135.2551,022
2276.131.136.0/226.131.136.1 to 6.131.139.2546.131.139.2551,022
2286.131.140.0/226.131.140.1 to 6.131.143.2546.131.143.2551,022
2296.131.144.0/226.131.144.1 to 6.131.147.2546.131.147.2551,022
2306.131.148.0/226.131.148.1 to 6.131.151.2546.131.151.2551,022
2316.131.152.0/226.131.152.1 to 6.131.155.2546.131.155.2551,022
2326.131.156.0/226.131.156.1 to 6.131.159.2546.131.159.2551,022
2336.131.160.0/226.131.160.1 to 6.131.163.2546.131.163.2551,022
2346.131.164.0/226.131.164.1 to 6.131.167.2546.131.167.2551,022
2356.131.168.0/226.131.168.1 to 6.131.171.2546.131.171.2551,022
2366.131.172.0/226.131.172.1 to 6.131.175.2546.131.175.2551,022
2376.131.176.0/226.131.176.1 to 6.131.179.2546.131.179.2551,022
2386.131.180.0/226.131.180.1 to 6.131.183.2546.131.183.2551,022
2396.131.184.0/226.131.184.1 to 6.131.187.2546.131.187.2551,022
2406.131.188.0/226.131.188.1 to 6.131.191.2546.131.191.2551,022
2416.131.192.0/226.131.192.1 to 6.131.195.2546.131.195.2551,022
2426.131.196.0/226.131.196.1 to 6.131.199.2546.131.199.2551,022
2436.131.200.0/226.131.200.1 to 6.131.203.2546.131.203.2551,022
2446.131.204.0/226.131.204.1 to 6.131.207.2546.131.207.2551,022
2456.131.208.0/226.131.208.1 to 6.131.211.2546.131.211.2551,022
2466.131.212.0/226.131.212.1 to 6.131.215.2546.131.215.2551,022
2476.131.216.0/226.131.216.1 to 6.131.219.2546.131.219.2551,022
2486.131.220.0/226.131.220.1 to 6.131.223.2546.131.223.2551,022
2496.131.224.0/226.131.224.1 to 6.131.227.2546.131.227.2551,022
2506.131.228.0/226.131.228.1 to 6.131.231.2546.131.231.2551,022
2516.131.232.0/226.131.232.1 to 6.131.235.2546.131.235.2551,022
2526.131.236.0/226.131.236.1 to 6.131.239.2546.131.239.2551,022
2536.131.240.0/226.131.240.1 to 6.131.243.2546.131.243.2551,022
2546.131.244.0/226.131.244.1 to 6.131.247.2546.131.247.2551,022
2556.131.248.0/226.131.248.1 to 6.131.251.2546.131.251.2551,022
2566.131.252.0/226.131.252.1 to 6.131.255.2546.131.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses